//쿠폰 관련 공통변수
var ISSUE_NO = null;
var FUNC_CD = null;
var FUNC_KEY = null;
var CAN_STAMPING = false; // Stamping on/off

function showCouponPopup(obj) {

    if( document.getElementById("couponPopup") != null )
    	document.getElementById("couponPopup").remove();

	var popup_wrap = document.createElement("div");
	popup_wrap.id = "couponPopup";
	popup_wrap.className = "popup_wrap";
	popup_wrap.setAttribute("data-popupwrap", "popupwrap");
	  
	var html = "";
	html += "<div class=\"popup_upper\">";
	html += "	<div class=\"popup_upper_inner\"></div>";
	html += "	<div class=\"coupon_header\">";
	html += "		<p class=\"coupon_tit\">COUPON</p>";
	html += "		<img id=\"coupon_close_btn\" src=\"images/ico_close_w.png\" alt=\"ico_close_w\" onclick=\"closePopup(this);\" />";
    html += "       <div class='having_trouble' " + ( isBlank(fname) ? "style='display: none;'" : "" ) + " onclick='echoss.Icon.showEchossIcon();'>";
    html += "           <div class='having_trouble_inner'>";
    html += "               <span>Having Trouble? > </span>";
    html += "           </div>";
    html += "       </div>";
	html += "	</div>";
	html += "	<div class=\"popup_content\">";
	html += "		<div class=\"coupon_content_row\">";
	html += "		<div class=\"coupon_img_wrap\">";
    html += "           <img id='shop_img_01' class='coupon_bg' src='images/background_img.png' />";
    html += "           <div class='coupon_img' style='background-image: "+obj.coupon_img+";'></div>";
	html += "		</div>";
	html += "			<p id=\"coupon_popup_name\">"+obj.coupon_name+"</p>";
	html += "			<p id=\"coupon_popup_shop\">"+obj.coupon_shop+"</p>";
	html += "			<div class=\"coupon_inner_desc\">";
	html += "				<div class=\"coupon_inner_left\">";
	html += "					<span class=\"sequence\">-&nbsp;</span><p class=\"coupon_inner_issued\">Issued Date</p><br/>";
	html += "					<span class=\"sequence\">-&nbsp;</span><p class=\"coupon_inner_expiry\">Expiry Date</p>";
	html += "				</div>";
	html += "				<div class=\"coupon_inner_right\">";
	html += "					<p id=\"popup_issued_date\" class=\"coupon_inner_issued_date\">"+obj.issued_date+"</p><br/>";
	html += "					<p id=\"popup_expiry_date\" class=\"coupon_inner_expiry_date\">"+obj.expiry_date+"</p>";
	html += "				</div>";
	html += "			</div>";
	html += "		</div>";
	html += "	</div>";
	html += "	<div class=\"coupon_text\">";
	html += "		<p class=\"coupon_row_text\">"+obj.bottom_text+"</p>";
	html += "		<span id=\"issueNo\" style=\"display:none;\">"+obj.issueNo+"</span>";
	html += "		<span id=\"functionKey\" style=\"display:none;\">"+obj.functionKey+"</span>";
	html += "	</div>";
	html += "	<img id=\"stamp_used\" src=\"images/ico_used.png\" alt=\"ico_used\" style=\"visibility:hidden;\" />";
	html += "</div>";

    if( obj.issueNo != undefined )
        ISSUE_NO = obj.issueNo;
    if( obj.functionCode != undefined )
        FUNC_CD = obj.functionCode;
    if( obj.functionKey != undefined )
        FUNC_KEY = obj.functionKey;

	popup_wrap.innerHTML = html;
	document.body.appendChild(popup_wrap);

    echoss.Icon.setOtpData({
        aprvData    : "3,"+custId+","+FUNC_KEY+","+ISSUE_NO,
        funcCd      : FUNC_CD,
        isuDivCd    : echoss.Icon.OTP_ISSUE_TYPE.USE_COUPON,
        cntYn       : "N"
    }, function() {
        echoss.Icon.closeGuideView();
        couponUsed();
    }, function(errorCode, errorMessage) {
        echoss.Icon.closeGuideView();
        showAlert("Error", errorMessage, "Confirm");
    });
}

function showConfirm(title, description, leftBtn, rightBtn, leftFunc, rightFunc) {
    var popup_wrap = document.createElement("div");
    popup_wrap.id = "confirm_popup";
    popup_wrap.className = "popup_wrap";

    var html = "";
    html += "<div class='popup_upper'>";
    html +=  "<div class='popup_content'>";
    html +=    "<p class='intro_pop_txt'>" + title + "</p>";
    html +=    "<p class='intro_pop_subtxt'>" + description + "</p>";
    html +=  "</div>";
    html +=  "<div class='btn_wrap'>";
    html +=    "<div id='pop_left_btn' class='pop_btn'>";
    html +=     "<a class='deny'>" + leftBtn + "</a>";
    html +=    "</div>";
    html +=    "<div id='pop_right_btn' class='pop_btn'>";
    html +=     "<a class='allow'>" + rightBtn + "</a>";
    html +=    "</div>";
    html +=  "</div>";
    html += "</div>";

    popup_wrap.innerHTML = html;
    document.body.appendChild(popup_wrap);

    document.getElementById("pop_left_btn").addEventListener("click", function(){
        popup_wrap.remove();
        if (typeof leftFunc !== "undefined")
            leftFunc();
    });
    document.getElementById("pop_right_btn").addEventListener("click", function(){
        popup_wrap.remove();
        if (typeof rightFunc !== "undefined")
            rightFunc();
    });
}


function showAlert(title, description, buttonText, buttonFunc) {
	
	if(!isBlank(document.getElementById('alert_popup'))) {
		//중복 alert 방지
        document.getElementById('alert_popup').getElementsByClassName('intro_pop_txt')[0].innerHTML = title;
        document.getElementById('alert_popup').getElementsByClassName('intro_pop_subtxt')[0].innerHTML = description;
        document.getElementById('alert_popup').getElementsByClassName('confirm')[0].innerHTML = buttonText;
		return false;
	}
	
	var popup_wrap = document.createElement("div");
	popup_wrap.id = "alert_popup";
	popup_wrap.className = "popup_wrap";

	var html = "";
	html += "<div class='popup_upper'>";
	html +=  "<div class='popup_content'>";
	html +=    "<p class='intro_pop_txt'>" + title + "</p>";
	html +=    "<p class='intro_pop_subtxt'>" + description + "</p>";
	html +=  "</div>";
	html +=  "<div class='btn_wrap'>";
	html +=    "<div id='pop_confirm_btn' class='pop_confirm_btn'>";
	html +=     "<a class='confirm'>" + buttonText + "</a>";
	html +=    "</div>";
	html +=  "</div>";
	html += "</div>";

	popup_wrap.innerHTML = html;
	document.body.appendChild(popup_wrap);

	document.getElementById("pop_confirm_btn").addEventListener("click", function(){
		popup_wrap.remove();
		if (typeof buttonFunc !== "undefined") {
			buttonFunc();
		}
	});
}

function showTitleAlert(title, buttonText, buttonFunc) {
  var popup_wrap = document.createElement("div");
  popup_wrap.className = "popup_wrap";

  var html = "";
  html += "<div class='popup_upper'>";
  html +=  "<div class='popup_content'>";
  html +=    "<p class='txt_center'>" + title + "</p>";
  html +=  "</div>";
  html +=  "<div class='btn_wrap'>";
  html +=    "<div id='pop_confirm_btn' class='pop_confirm_btn'>";
  html +=     "<a class='confirm'>" + buttonText + "</a>";
  html +=    "</div>";
  html +=  "</div>";
  html += "</div>";

  popup_wrap.innerHTML = html;
  document.body.appendChild(popup_wrap);

  document.getElementById("pop_confirm_btn").addEventListener("click", function(){
    popup_wrap.remove();
    buttonFunc();
  });
}

/*********************************/
//variable & function
/*********************************/
//팝업 닫기 -  css display:none
var closePopup = function(target){
	
	var target_this = target.parentNode;
	
	while (target_this.getAttribute("data-popupwrap") != "popupwrap" && target_this.getAttribute("data-popupwrap") != "") {
	  target_this = target_this.parentNode;
	}

	//쿠폰 팝업 관련 공통변수 초기화
	ISSUE_NO = null;
	CAN_STAMPING = false; // Stamping on/off
	
	//object remove
	target_this.remove();
	return;
};


//메인 하단 쿠폰
var couponOpen = function(target) {
	document.getElementById('coupon_wrap').classList.add('on');
	document.getElementById('close_btn').classList.add('on');
};
var couponClose = function(target) {
	document.getElementById('close_btn').classList.remove('on');
 	document.getElementById('coupon_wrap').classList.remove('on');

	// 쿠폰 목록을 close하면 icon을 show
    if( typeof setOtpCollect == "function" )
        setOtpCollect();
};

// 설정메뉴
var setmenuOpen = function(target) {
  document.getElementById('tab_set_menu').classList.add('on');
};
var setmenuClose = function(target) {
  document.getElementById('tab_set_menu').classList.remove('on');
};

